/*
 * update_assistant.h
 *
 *  Created on: 2022年5月5日
 *      Author: pengzc
 */

#ifndef JNI_BASE_UPDATE_ASSISTANT_H_
#define JNI_BASE_UPDATE_ASSISTANT_H_

#include <string>

namespace base {

struct VersionInfo {
  std::string version;
  int versionNo;
  std::string url;
  int file_size;
};

class UpdateAssistant {
public:
  UpdateAssistant();
  int GetLatest(const std::string& app_name, VersionInfo* info);
  virtual ~UpdateAssistant();
};

} /* namespace base */

#endif /* JNI_BASE_UPDATE_ASSISTANT_H_ */
